import React from 'react';
import { LineChart } from '../index';

export default () => {
  const category = ['11-01', '11-02', '11-03', '11-04', '11-05', '11-06', '11-07'];
  const dataSource = [
    {
      name: '用水量',
      unit: 'm³',
      data: [120, 200, 150, 80, 70, 110, 130],
    },
    {
      name: '供水量',
      unit: 'm³',
      data: [1120, 1200, 1150, 1180, 1170, 1110, 1130],
    },
  ];

  return (
    <div style={{ height: 300 }}>
      <LineChart lineType="area" category={category} dataSource={dataSource} />
    </div>
  );
};
