---
title: DataCarousel - 数据轮播
nav:
  title: 基础组件
  path: /components
group:
  path: /
---

# DataCarousel 数据滚动

列表数据多行轮播滚动，会跟据容器高度和行高及间隔计算每页最大数量。鼠标悬浮停止轮播

## 代码演示

<code src="./demos/Basic.tsx">

## API

| 参数       | 说明                             | 类型      | 默认值 |
| ---------- | -------------------------------- | --------- | ------ |
| renderItem | 自定义渲染每项内容（必传）       | ReactNode | -      |
| itemHeight | 每行行高，                       | number    | 40     |
| list       | 数据源                           | array     | []     |
| gap        | 每项间隔（每页最后一项没有）     | array     | []     |
| renderGap  | 自定义间隔样式                   | ReactNode | null   |
| autoplay   | 轮播时间，单位 ms，传 0 则不轮播 | number    | 3000   |
| config     | swiper 参数                      | object    | {}     |
