---
title: ExportExcel - Excel表格导出
nav:
  title: 基础组件
  path: /components
group:
  path: /
---

# PandaExportExcel Excel 表格导出

<code src="./demos/base.tsx">

## API

| 参数    | 说明                                  | 类型   | 默认值  |
| ------- | ------------------------------------- | ------ | ------- |
| name    | Excel 表格名称                        | string | 'excel' |
| content | Excel 表格内容，支持多个 sheet[{},{}] | array  | []      |

## content

| 名称         | 描述                | 类型    |
| ------------ | ------------------- | ------- |
| sheetData    | 数据                | array   |
| sheetName    | sheet 名字          | string  |
| sheetFilter  | 列过滤              | array[] |
| sheetHeader  | 表头                | array[] |
| columnWidths | 列宽 需与列顺序对应 | array[] |

## 方法

| 名称                          | 描述                |
| ----------------------------- | ------------------- |
| {ExportExcel, ExportExcelZip} | --                  |
| ExportExcel                   | 导出 Excel 表格     |
| ExportExcelZip                | 导出压缩 Excel 文件 |
