---
title: RichText - 富文本编辑器
nav:
  title: 基础组件
  path: /components
group:
  path: /
---

# RichText 富文本编辑器

## 代码演示

### 常规使用

<code src="./demos/demo.jsx">

### 参数

| 参数 | 说明 | 类型 | 默认值 |
| --- | --- | --- | --- |
| projectId | 项目 ID(通过项目 ID 获取项目人员，可在输入@符号时显示 ) | Number,String | null |
| personList | personList 传任务相关人员列表（如 创建、负责、跟进人），同时传入 projectId,personList,下拉列表默认显示为任务相关人员，加项目人员（做了去重，任务相关人员在最上面） | Array | [] |
| config | 框架 wangEditor 的配置参数 | Object | {} |
| content | 初始内容（内容如果不是初始有的，可调用 setHtml 设置内容） | String | '' |
| fileList | 附件列表 [{name:'xxx.jpg',type:'image/jpg',size:8192,path:'xxxx'}], name 和 path 是必传的，type 为图片可以预览，其它类型文件直接下载 | Array | [] |

## 事件

| 名称         | 描述                                               |
| ------------ | -------------------------------------------------- |
| onChange     | 内容改变回调                                       |
| onChangeFile | 文件改变回调（没有，则工具栏上不显示上传附件按钮） |

## ref 事件

| 名称    | 描述                     |
| ------- | ------------------------ |
| setHtml | 设置内容                 |
| onClear | 清除内容                 |
| getHtml | 获取 html 字符串         |
| getText | 获取纯内容（不包含标签） |

## API

api 参考 Antd Table 组件 https://www.wangeditor.com/v4/
