---
title: SelectCustom - 下拉选择器
nav:
  title: 基础组件
  path: /components
group:
  path: /
---

# SelectCustom 下拉选择器

## 代码演示

### 下拉选择器 - 基本

<code src="./demos/Basic.tsx">

### 下拉选择器 - 多选

<code src="./demos/Basic1.tsx">

### 下拉选择器 - 带图标

<code src="./demos/Basic2.tsx">

### 下拉选择器 - 多字段

<code src="./demos/Basic3.tsx">

### 下拉选择器 - 选项分组

<code src="./demos/Basic4.tsx">

## API

api 参考 Antd Select 组件 https://ant.design/components/select-cn#api

| 参数       | 说明                     | 类型      | 默认值 |
| ---------- | ------------------------ | --------- | ------ |
| prefixIcon | 自定义的选择框前缀缀图标 | ReactNode | --     |

## 代码演示

### 下拉选择器 - 树单选

<code src="./demos/Basic5.tsx">

### 下拉选择器 - 树多选

<code src="./demos/Basic6.tsx">

## API

api 参考 Antd TreeSelect 组件 https://ant.design/components/tree-select-cn#api
