export const BI = {
    "backgroundColor": "#282b34",
    "titleColor": "#ffffff",
    "subtitleColor": "#dddddd",
    "textColorShow": false,
    "textColor": "#333",
    "markTextColor": "#293441",
    "color": [
        "#1685ff",
        "#00b809",
        "#ffa200",
        "#00d0c7",
        "#ff6b37",
        "#986aff",
        "#2f54eb",
        "#ff9e69",
        "#ffcb66",
        "#99ceff",
        "#f66ffb"
    ],
    "borderColor": "#ccc",
    "borderWidth": 0,
    "visualMapColor": [
        "#fc97af",
        "#87f7cf"
    ],
    "legendTextColor": "#aaaaaa",
    "kColor": "#fc97af",
    "kColor0": "transparent",
    "kBorderColor": "#fc97af",
    "kBorderColor0": "#87f7cf",
    "kBorderWidth": "2",
    "lineWidth": "3",
    "symbolSize": "0",
    "symbol": "circle",
    "symbolBorderWidth": "4",
    "lineSmooth": true,
    "graphLineWidth": "1",
    "graphLineColor": "#ffffff",
    "mapLabelColor": "#893448",
    "mapLabelColorE": "rgb(137,52,72)",
    "mapBorderColor": "#999999",
    "mapBorderColorE": "#eb8146",
    "mapBorderWidth": 0.5,
    "mapBorderWidthE": 1,
    "mapAreaColor": "#f3f3f3",
    "mapAreaColorE": "rgba(255,178,72,1)",
    "axes": [
        {
            "type": "all",
            "name": "通用坐标轴",
            "axisLineShow": true,
            "axisLineColor": "#666666",
            "axisTickShow": true,
            "axisTickColor": "#333",
            "axisLabelShow": true,
            "axisLabelColor": "#aaaaaa",
            "splitLineShow": true,
            "splitLineColor": [
                "#6d6d6d"
            ],
            "splitAreaShow": true,
            "splitAreaColor": [
                "rgba(250,250,250,0.01)",
                "rgba(255,255,255,0.02)"
            ]
        },
        {
            "type": "category",
            "name": "类目坐标轴",
            "axisLineShow": true,
            "axisLineColor": "#333",
            "axisTickShow": true,
            "axisTickColor": "#333",
            "axisLabelShow": true,
            "axisLabelColor": "#333",
            "splitLineShow": false,
            "splitLineColor": [
                "#ccc"
            ],
            "splitAreaShow": false,
            "splitAreaColor": [
                "rgba(250,250,250,0.3)",
                "rgba(200,200,200,0.3)"
            ]
        },
        {
            "type": "value",
            "name": "数值坐标轴",
            "axisLineShow": true,
            "axisLineColor": "#333",
            "axisTickShow": true,
            "axisTickColor": "#333",
            "axisLabelShow": true,
            "axisLabelColor": "#333",
            "splitLineShow": true,
            "splitLineColor": [
                "#ccc"
            ],
            "splitAreaShow": false,
            "splitAreaColor": [
                "rgba(250,250,250,0.3)",
                "rgba(200,200,200,0.3)"
            ]
        },
        {
            "type": "log",
            "name": "对数坐标轴",
            "axisLineShow": true,
            "axisLineColor": "#333",
            "axisTickShow": true,
            "axisTickColor": "#333",
            "axisLabelShow": true,
            "axisLabelColor": "#333",
            "splitLineShow": true,
            "splitLineColor": [
                "#ccc"
            ],
            "splitAreaShow": false,
            "splitAreaColor": [
                "rgba(250,250,250,0.3)",
                "rgba(200,200,200,0.3)"
            ]
        },
        {
            "type": "time",
            "name": "时间坐标轴",
            "axisLineShow": true,
            "axisLineColor": "#333",
            "axisTickShow": true,
            "axisTickColor": "#333",
            "axisLabelShow": true,
            "axisLabelColor": "#333",
            "splitLineShow": true,
            "splitLineColor": [
                "#ccc"
            ],
            "splitAreaShow": false,
            "splitAreaColor": [
                "rgba(250,250,250,0.3)",
                "rgba(200,200,200,0.3)"
            ]
        }
    ],
    "axisSeperateSetting": false,
    "toolboxColor": "#999999",
    "toolboxEmphasisColor": "#666666",
    "tooltipAxisColor": "#8e8e8e",
    "tooltipAxisWidth": 1,
    "timelineLineColor": "#87f7cf",
    "timelineLineWidth": 1,
    "timelineItemColor": "#87f7cf",
    "timelineItemColorE": "#f7f494",
    "timelineCheckColor": "#fc97af",
    "timelineCheckBorderColor": "#fc97af",
    "timelineItemBorderWidth": 1,
    "timelineControlColor": "#87f7cf",
    "timelineControlBorderColor": "#87f7cf",
    "timelineControlBorderWidth": 0.5,
    "timelineLabelColor": "#87f7cf",
    "datazoomBackgroundColor": "rgba(255,255,255,0)",
    "datazoomDataColor": "rgba(114,204,255,1)",
    "datazoomFillColor": "rgba(114,204,255,0.2)",
    "datazoomHandleColor": "#72ccff",
    "datazoomHandleWidth": "100",
    "datazoomLabelColor": "#333333"
};
export const BISplitLineColor = '#535353';
export const BIAxisLineColor = '#acacac';
export const BIAxisLabelColor = '#ccc';
export const Normal = {
    "backgroundColor": "rgba(255,255,255,1)",
    "titleColor": "#ffffff",
    "subtitleColor": "#dddddd",
    "textColorShow": false,
    "textColor": "#333",
    "markTextColor": "#293441",
    "color": [
        "#1685ff",
        "#00b809",
        "#ffa200",
        "#00d0c7",
        "#ff6b37",
        "#986aff",
        "#2f54eb",
        "#ff9e69",
        "#ffcb66",
        "#99ceff",
        "#f66ffb"
    ],
    "borderColor": "#ccc",
    "borderWidth": 0,
    "visualMapColor": [
        "#fc97af",
        "#87f7cf"
    ],
    "legendTextColor": "#6d6a6a",
    "kColor": "#fc97af",
    "kColor0": "transparent",
    "kBorderColor": "#fc97af",
    "kBorderColor0": "#87f7cf",
    "kBorderWidth": "2",
    "lineWidth": "3",
    "symbolSize": "0",
    "symbol": "circle",
    "symbolBorderWidth": "4",
    "lineSmooth": true,
    "graphLineWidth": "1",
    "graphLineColor": "#ffffff",
    "mapLabelColor": "#893448",
    "mapLabelColorE": "rgb(137,52,72)",
    "mapBorderColor": "#999999",
    "mapBorderColorE": "#eb8146",
    "mapBorderWidth": 0.5,
    "mapBorderWidthE": 1,
    "mapAreaColor": "#f3f3f3",
    "mapAreaColorE": "rgba(255,178,72,1)",
    "axes": [
        {
            "type": "all",
            "name": "通用坐标轴",
            "axisLineShow": true,
            "axisLineColor": "#9b9b9b",
            "axisTickShow": true,
            "axisTickColor": "#9b9b9b",
            "axisLabelShow": true,
            "axisLabelColor": "#6d6a6a",
            "splitLineShow": true,
            "splitLineColor": [
                "#9b9b9b"
            ],
            "splitAreaShow": true,
            "splitAreaColor": [
                "rgba(250,250,250,0.01)",
                "rgba(255,255,255,0.02)"
            ]
        },
        {
            "type": "category",
            "name": "类目坐标轴",
            "axisLineShow": true,
            "axisLineColor": "#333",
            "axisTickShow": true,
            "axisTickColor": "#333",
            "axisLabelShow": true,
            "axisLabelColor": "#333",
            "splitLineShow": false,
            "splitLineColor": [
                "#ccc"
            ],
            "splitAreaShow": false,
            "splitAreaColor": [
                "rgba(250,250,250,0.3)",
                "rgba(200,200,200,0.3)"
            ]
        },
        {
            "type": "value",
            "name": "数值坐标轴",
            "axisLineShow": true,
            "axisLineColor": "#333",
            "axisTickShow": true,
            "axisTickColor": "#333",
            "axisLabelShow": true,
            "axisLabelColor": "#333",
            "splitLineShow": true,
            "splitLineColor": [
                "#ccc"
            ],
            "splitAreaShow": false,
            "splitAreaColor": [
                "rgba(250,250,250,0.3)",
                "rgba(200,200,200,0.3)"
            ]
        },
        {
            "type": "log",
            "name": "对数坐标轴",
            "axisLineShow": true,
            "axisLineColor": "#333",
            "axisTickShow": true,
            "axisTickColor": "#333",
            "axisLabelShow": true,
            "axisLabelColor": "#333",
            "splitLineShow": true,
            "splitLineColor": [
                "#ccc"
            ],
            "splitAreaShow": false,
            "splitAreaColor": [
                "rgba(250,250,250,0.3)",
                "rgba(200,200,200,0.3)"
            ]
        },
        {
            "type": "time",
            "name": "时间坐标轴",
            "axisLineShow": true,
            "axisLineColor": "#333",
            "axisTickShow": true,
            "axisTickColor": "#333",
            "axisLabelShow": true,
            "axisLabelColor": "#333",
            "splitLineShow": true,
            "splitLineColor": [
                "#ccc"
            ],
            "splitAreaShow": false,
            "splitAreaColor": [
                "rgba(250,250,250,0.3)",
                "rgba(200,200,200,0.3)"
            ]
        }
    ],
    "axisSeperateSetting": false,
    "toolboxColor": "#999999",
    "toolboxEmphasisColor": "#666666",
    "tooltipAxisColor": "#8e8e8e",
    "tooltipAxisWidth": 1,
    "timelineLineColor": "#87f7cf",
    "timelineLineWidth": 1,
    "timelineItemColor": "#87f7cf",
    "timelineItemColorE": "#f7f494",
    "timelineCheckColor": "#fc97af",
    "timelineCheckBorderColor": "#fc97af",
    "timelineItemBorderWidth": 1,
    "timelineControlColor": "#87f7cf",
    "timelineControlBorderColor": "#87f7cf",
    "timelineControlBorderWidth": 0.5,
    "timelineLabelColor": "#87f7cf",
    "datazoomBackgroundColor": "rgba(255,255,255,0)",
    "datazoomDataColor": "rgba(114,204,255,1)",
    "datazoomFillColor": "rgba(114,204,255,0.2)",
    "datazoomHandleColor": "#72ccff",
    "datazoomHandleWidth": "100",
    "datazoomLabelColor": "#333333"
};
