---
title: EC_StatisticalHistoryView - 统计查看
nav:
  title: 业务组件
  path: /extend-components
group:
  path: /
---

# EC_StatisticalHistoryView 统计查看

基础业务组件

- 统计查看

## 何时使用

- 在统计查看时。

## 代码演示

<code src="./demos/Basic.tsx">

## API

| 参数           | 说明                             | 类型             | 默认值 |
| -------------- | -------------------------------- | ---------------- | ------ |
| name `必需`    | 画板名称                         | string           | ''     |
| devices `必需` | 画板设备                         | array            | []     |
| deviceName     | 画板设备名称                     | array            | []     |
| config         | 全局 globalConfig,没有时需要传递 | object           | {}     |
| isZoom         | 是否可缩放(手持上建议设置 true)  | boolean          | false  |
| flowShow       | 是否水流效果（无数据表现）       | boolean          | true   |
| customBack     | 自定义交互的回调，返回点击的模型 | function(node){} | -      |

### 工艺回放

| 参数     | 说明                   | 类型                                 | 默认值 |
| -------- | ---------------------- | ------------------------------------ | ------ |
| speed    | 历史数据播放当前进度值 | number                               | 0      |
| play     | 历史数据是否播放       | boolean                              | false  |
| times    | 历史数据播放速度（s）  | number                               | 2      |
| params   | 历史数据服务参数       | object                               | {}     |
| callback | 历史数据播放的回调     | function(speed, total, play, time){} | -      |
