/*
 * @Title: 
 * @Author: hongmye
 * @Date: 2023-09-28 17:01:39
 */
const proxyURL = process.env.PANDA_ENV_PROXY || 'http://192.168.8.28:8911';
let exUrl = '';
if (proxyURL.includes(proxyURL.toLowerCase().includes('https'))) {
  exUrl = proxyURL.replace('https', 'ws');
} else {
  exUrl = proxyURL.replace('http', 'ws');
}
const wsServerPath = exUrl;
export default {
  '/api': {
    target: proxyURL,
    changeOrigin: true,
    pathRewrite: { '^/api': '' },
  },
  '/jessica': {
    target: wsServerPath,
    changeOrigin: true,
    ws: true,
    pathRewrite: {
      '/jessica': '/jessica',
    },
  },
  '/PandaMonitor': {
    target: proxyURL,
    changeOrigin: true,
    headers: {
      'Access-Control-Allow-Origin': '*',
    },
    pathRewrite: {
      '/PandaMonitor': '/PandaMonitor',
    },
  },
  '/PandaCore': {
    target: proxyURL,
    changeOrigin: true,
    headers: {
      'Access-Control-Allow-Origin': '*',
    },
    pathRewrite: {
      '/PandaCore': '/PandaCore',
    },
  },
  '/PandaWater': {
    target: proxyURL,
    changeOrigin: true,
    headers: {
      'Access-Control-Allow-Origin': '*',
    },
    pathRewrite: {
      '/PandaWater': '/PandaWater',
    },
  },
  '/PandaWorkFlow': {
    target: proxyURL,
    changeOrigin: true,
    headers: {
      'Access-Control-Allow-Origin': '*',
    },
    pathRewrite: {
      '/PandaWorkFlow': '/PandaWorkFlow',
    },
  },
};
