---
title: 贡献指南
order: 3
group:
  path: /
nav:
  title: 文档
  path: /docs
---

## 分支管理

基于我们的 发布周期，我们长期维护两个分支 master 和 dev，如果你要提一个增加新功能，那么请基于 dev 分支来做，我们会合并 dev 到 master，线上组件文档会随之更新。

## Bugs

我们使用 [在线文档](https://doc.weixin.qq.com/sheet/e3_AJQA3AZ0ANEousEmHpKSXumjdg6IS?scode=AMsAdAdTAAsEuPCR4cAJQA3AZ0ANE&tab=BB08J2) 小助手 来做 bug 追踪。 如果你想要你发现的 bug 被快速解决，最好的办法就是通过 企业微信 找到对应的研发人员进行修改，请心平气和的进行沟通 。在你报告一个 bug 之前，请先确保已经搜索过已有的 [在线文档](https://doc.weixin.qq.com/sheet/e3_AJQA3AZ0ANEousEmHpKSXumjdg6IS?scode=AMsAdAdTAAsEuPCR4cAJQA3AZ0ANE&tab=BB08J2) 和升级最新版的组件。

## 新增功能

如果你有改进我们的 API 或者新增功能的想法，我们同样推荐你使用我们提供的 [在线文档](https://doc.weixin.qq.com/sheet/e3_AJQA3AZ0ANEousEmHpKSXumjdg6IS?scode=AMsAdAdTAAsEuPCR4cAJQA3AZ0ANE&tab=wnds3z) 小助手 来新建一个添加新功能的问题。

如果你希望协助开发新的 API，请参考 API 规范 进行命名。

## 开发流程

在你 clone 了 [wisdom-components](https://g.civnet.cn:8443/ReactWeb5/wisdom-components) 的代码并且使用 npm install 安装完依赖后，你还可以运行下面几个常用的命令：

```bash
# 运行组件库
npm run start
```

```bash
# 组件库打包
npm run build
```

```bash
# 组件发布
npm run release
```

```bash
# 完整发布
npm run build
add commit your code
npm run release
# 发布后文件的格式化导致变更，需要还原一下。请注意，是发布完后还原。
git checkout -- .
```

```bash
# 在base-components下新增TreeCustom文件夹
lerna create @wisdom-components/TreeCustom base-components
```
