import { request } from '@wisdom-utils/utils';
import * as constants from '../../constants';

const MonitorDevice = '/PandaMonitor/Monitor/Device';
const API = {
  GET_ALARM_LIST_REAL_TIME: `${MonitorDevice}/GetAlarmListRealTime`,
  GET_DEVICE_QUOTA_LIST: `${MonitorDevice}/GetQuotaList`, //
  GET_EQUIPMENT_INFO: `${MonitorDevice}/GetEquipmentInfo`, // 获取设备树
};
const monitorServices = {
  GetAlarmListRealTime: {
    url: API.GET_ALARM_LIST_REAL_TIME, // 获取 数据维护日志
    method: constants.REQUEST_METHOD_POST,
    type: constants.REQUEST_HTTP,
  },
  GetDeviceQuotaList: {
    url: API.GET_DEVICE_QUOTA_LIST,
    method: constants.REQUEST_METHOD_GET,
    type: constants.REQUEST_HTTP,
  },
  getEquipmentInfo: {
    url: API.GET_EQUIPMENT_INFO,
    method: constants.REQUEST_METHOD_POST,
    type: constants.REQUEST_HTTP,
  },
};
export default monitorServices;
