---
title: BasicTable - 标准表格
nav:
  title: 基础组件
  path: /components
group:
  path: /
---

# BasicTable 标准表格

基础业务组件

- 展示行列数据

## 何时使用

- 当有大量结构化的数据需要展现时；
- 当需要对数据进行排序、搜索、分页、自定义操作等复杂行为时。

## 代码演示

### 常规使用

<code src="./demos/Basic.tsx">

### 合计

<code src="./demos/Summary.tsx">

## API

api 参考 Antd Table 组件 https://ant.design/components/table-cn/#API

### Column 新增参数

| 参数     | 说明                                         | 类型    | 默认值 |
| -------- | -------------------------------------------- | ------- | ------ |
| resize   | 设置表头可拖拽调整列宽（必须设置列宽 width） | boolean | false  |
| minWidth | 设置表头可拖拽调整列宽最小值                 | number  | -      |
| maxWidth | 设置表头可拖拽调整列宽最大值                 | number  | -      |
