// @ts-ignore
import React, { useEffect, useState } from 'react';
import { SelectCustom, TreeSelectCustom, Option, OptGroup, SHOW_PARENT } from '../index';
import { HomeOutlined } from '@ant-design/icons';
import './index.less';

const Demo = (props) => {
  const handleChange = (value) => {
    console.log(`selected ${value}`);
  };
  return (
    <SelectCustom
      defaultValue="信息化会议"
      style={{
        width: 150,
        marginBottom: '10px',
      }}
      onChange={handleChange}
      showSearch={true}
      dropdownStyle={{ width: '100px' }}
      options={[
        {
          value: '产品研发会议',
          label: '产品研发会议',
        },
        {
          value: '信息化会议',
          label: '信息化会议',
        },
        {
          value: '项目会议',
          label: '项目会议',
        },
        {
          value: '管理会议',
          label: '管理会议',
        },
      ]}
    />
  );
};

export default Demo;
