// @ts-ignore
import React, { useEffect, useState } from 'react';
import { SelectCustom, TreeSelectCustom, Option, OptGroup, SHOW_PARENT } from '../index';
import './index.less';

const Demo1 = (props) => {
  const handleChange = (value) => {
    console.log(`selected ${value}`);
  };
  return (
    <SelectCustom
      mode="multiple"
      allowClear
      defaultValue={['浊度', 'COD']}
      style={{
        width: 300,
      }}
      onChange={handleChange}
      showSearch={true}
      options={[
        {
          value: '浊度',
          label: '浊度',
        },
        {
          value: 'pH',
          label: 'pH',
        },
        {
          value: '水温',
          label: '水温',
        },
        {
          value: 'COD',
          label: 'COD',
        },
      ]}
    />
  );
};

export default Demo1;
