export const outlierArr = [
  {
    label: '关',
    value: 0,
  },
  {
    label: '低',
    value: 3,
  },
  {
    label: '中',
    value: 2,
  },
  {
    label: '高',
    value: 1,
  },
];

export const markArr = {
  0: '关',
  1: '低',
  2: '中',
  3: '高',
};

export const timeArr = [
  {
    label: '近7日特征曲线',
    value: '近7日',
  },
  {
    label: '7工作日特征曲线',
    value: '7工作日',
  },
  {
    label: '7节假日特征曲线',
    value: '7节假日',
  },
];

export const chartArr = [
  {
    label: '特征曲线',
    value: '特征曲线',
  },
  {
    label: '原始曲线',
    value: '原始曲线',
  },
];

// 平均值方法
export const average = (arr) => {
  return arr.reduce((acc, cur) => acc + cur, 0) / arr.length;
};

// 中位数方法
export const median = (data) => {
  if (data.length === 0) return 0;

  data.sort((a, b) => {
    return a - b;
  });

  const half = Math.floor(data.length / 2);

  if (data.length % 2) return data[half];

  return (data[half - 1] + data[half]) / 2;
};
