import { request } from '@wisdom-utils/utils';

const REQUEST_METHOD_GET = 'get';
const REQUEST_METHOD_POST = 'post';
// eslint-disable-next-line no-undef
const baseURI = typeof DUMI_TYPE !== 'undefined' && DUMI_TYPE === 'dumi' ? '/api' : '';

export function getEquipmentInfo(data) {
  return request({
    url: `${baseURI}/PandaMonitor/Monitor/Device/GetEquipmentInfo`,
    method: REQUEST_METHOD_POST,
    data,
  });
}

export function GetFieldValueFromTable(params) {
  return request({
    url: `/PandaWorkFlow/WorkFlow/AccountManage/GetFieldValueFromTable`,
    method: REQUEST_METHOD_GET,
    params: params,
  });
}
